function at = setAnimation_at(at)
   
   p = get_rb(at, 'rc');
  
   yf = get_rb(at, 'Faces' );
   yv = get_rb(at, 'Vertices' );
   yc = get_rb(at, 'Colors' );  
  
   p1 = [ 0, 0, 0];
   p2 = [ p(1), p(2), p(3)];  
  
   M = cat(1, p1, p2); 

   x = M(:,1);
   y = M(:,2);
   z = M(:,3); 

   ax =  get(RBAnimation,'CurrentAxes');
   axes(ax);
   cla(ax);
 
   h(1) =  patch('Faces', yf, 'Vertices', yv, 'FaceVertexCData', yc, ...
    'FaceColor','flat');

   h(2) = line('XData',x,'YData',y,'ZData',z,'Color', [1 1 1], 'LineWidth',1,'LineStyle','--');

   view(3); grid on; 
   set(ax, 'xlim', [-2 2] );
   set(ax, 'ylim', [-2 2] );
   set(ax, 'zlim', [-3 3] ); 
 
   at = set_rb(at, 'hgo', hgtransform('Parent',get(RBAnimation,'CurrentAxes')) );
   at = set_rb(at, 'gobjects', h);
   set(get_rb(at, 'gobjects'), 'Parent', get_rb(at, 'hgo') ); 
   
   rm = get_rb(at, 'rm');
   set(get_rb(at, 'hgo'), 'Matrix', reshape(rm(:,1),4,4) );

 
end