function st = setAnimation_st(st)     
  
   p = get_rb(st, 'rc');
   
   vertices = get_rb(st, 'Vertices');
   
   yf = get_rb(st, 'Faces' );
   yv = vertices;
   yc = get_rb(st, 'Colors' );
      
   p1 = [ p(1), p(2), -get_st(st, 'L') / 2 + p(3)];
   p2 = [ p(1), p(2), get_st(st, 'L') / 2 + p(3)];  
  
   M = cat(1, p1, p2); 
         
   x = M(:,1);
   y = M(:,2);
   z = M(:,3); 
  
   ax =  get(RBAnimation,'CurrentAxes');
   axes(ax);
   cla(ax);
     
   h(1) =  patch('Faces', yf, 'Vertices', yv, 'FaceVertexCData', yc, ...
    'FaceColor','flat', 'LineStyle', 'none');

   h(2) = line('XData',x,'YData',y,'ZData',z,'Color', [1 1 1], 'LineWidth',2);
    
   p1 = [ 0, 0, 0 ];
   p2 = [ p(1), p(2), p(3)];  
  
   M = cat(1, p1, p2); 
         
   x = M(:,1);
   y = M(:,2);
   z = M(:,3); 
  
   h(3) =   line('XData',x,'YData',y,'ZData',z,'Color', [1 1 1], 'LineWidth',1, 'LineStyle','--');
 
   view(3); grid on; 
   set(ax, 'xlim', [-2 2] );
   set(ax, 'ylim', [-2 2] );
   set(ax, 'zlim', [-3 3] );  
 
   st = set_rb(st, 'hgo', hgtransform('Parent',get(RBAnimation,'CurrentAxes')) );
   st = set_rb(st, 'gobjects', h);
   set(get_rb(st, 'gobjects'), 'Parent', get_rb(st, 'hgo') ); 
   
   rm = get_rb(st, 'rm');
   set(get_rb(st, 'hgo'), 'Matrix', reshape(rm(:,1),4,4) );

end