function y = get_example(n)

switch n
    case 1
% --------Euler case-----------
        s.m = 1; s.a = 4; s.b = 2; s.c =1;
        s.theta = 90; s.phi = 90; s.psi = 90;
        s.qx = -3; s.qy = -0.01; s.qz = -1;
        s.rx = 0; s.ry = 0; s.rz = 0;
        s.px = 2; s.py = 1; s.pz = 0.5;
        s.T = 60; s.dt = 0.001;
        s.g = 0;
        s.tr_L = 500; s.tr_S = 10;
% //////////////////////////////////////////////////
    case 2
% --------Lagrange case #1 -----------
        s.md = 1; s.mL = 1; s.d = 2; s.L = 2;
        s.theta = 30; s.phi = -90; s.psi = 0;
        s.qx = 0; s.qy = 0; s.qz = 40;
        s.rx = 0; s.ry = 0; s.rz = 1;
        s.px = 0; s.py = 0; s.pz = 2;
        s.T = 60; s.dt = 0.001;
        s.g = 9.81;
        s.tr_L = 500; s.tr_S = 10;
% //////////////////////////////////////////////////
    case 3
% --------Lagrange case #2-----------
        s.md = 1; s.mL = 1; s.d = 2; s.L = 2;
        s.theta = 45; s.phi = -90; s.psi = 0;
        s.qx = 0; s.qy = 0.5; s.qz = 50;
        s.rx = 0; s.ry = 0; s.rz = 1;
        s.px = 0; s.py = 0; s.pz =3;
        s.T = 60; s.dt = 0.001;
        s.g = 9.81;
        s.tr_L = 500; s.tr_S = 10;
% //////////////////////////////////////////////////
    case 4
% --------Lagrange case #3-----------
        s.md = 1; s.mL = 1; s.d = 2; s.L = 2;
        s.theta = 30; s.phi = -90; s.psi = 0;
        s.qx = 0; s.qy = -2; s.qz = 40;
        s.rx = 0; s.ry = 0; s.rz = 1;
        s.px = 0; s.py = 0; s.pz = 2;
        s.T = 60; s.dt = 0.001;
        s.g = 9.81;
        s.tr_L = 500; s.tr_S = 10;
% //////////////////////////////////////////////////
    case 5
% --------Kovalevskaja case-----------
        s.m = 3; s.a = 2; s.b = 2; s.c = 2*sqrt(3);
        s.theta = 0; s.phi = 0; s.psi = 0;
        s.qx = 0; s.qy = 0; s.qz = 1;
        s.rx = 0.5; s.ry =1; s.rz = 0;
        s.px = 1.5; s.py = 0; s.pz = sqrt(3);
        s.T = 60; s.dt = 0.001;
        s.g = 9.81;
        s.tr_L = 500; s.tr_S = 10;
% //////////////////////////////////////////////////
    case 6
% --------The most general case-----------
        s.m = 1; s.a = 0.6; s.b = 1.2; s.c = 2.4;
        s.theta = 0; s.phi = 0; s.psi = 0;
        s.qx = 0; s.qy = 0; s.qz =0;
        s.rx = 0.3; s.ry = 0.6; s.rz = 1.2;
        s.px = 0; s.py = 1.2; s.pz = 2.4;
        s.T = 60; s.dt = 0.001;
        s.g = 9.81;
        s.tr_L = 50; s.tr_S = 10;
% //////////////////////////////////////////////////
 case 7
% -------- Spherical Top-----------
        s.m = 1; s.a =2; s.b = 2; s.c = 2;
        s.theta = 54.7356; s.phi = 0; s.psi = 45;
        s.qx = 0; s.qy = 22; s.qz =0;
        s.rx = 1; s.ry = 1; s.rz = 1;
        s.px = 2; s.py = 2; s.pz = 2;
        s.T = 60; s.dt = 0.001;
        s.g = 9.81;
        s.tr_L = 500; s.tr_S = 10;
% //////////////////////////////////////////////////    
    case 8
% --------Pendulum-----------
        s.md = 1; s.mL = 1; s.d = 1; s.L = 3;
        s.theta = 180-76.35194; s.phi = 20; s.psi = 0;
        s.qx = 0; s.qy = 0; s.qz =0;
        s.rx = 0; s.ry = 0; s.rz = 1.5;
        s.px = 0; s.py = 0; s.pz = 3;
        s.T = 60; s.dt = 0.001;
        s.g = 9.81;
        s.tr_L = 50; s.tr_S = 10;
% //////////////////////////////////////////////////
    case 9
% --------Time control-----------
        s.md = 1; s.mL = 1; s.d = 2; s.L = 2;
        s.theta = 50; s.phi = -37.5; s.psi =0;
        s.qx = 0; s.qy = 0; s.qz = -pi/30;
        s.rx = 0; s.ry = 0; s.rz = 1;
        s.px = 0; s.py = 2; s.pz = 2;
        s.T = 60; s.dt = 0.001;
        s.g = 0;
        s.tr_L = 500; s.tr_S = 10;
% //////////////////////////////////////////////////
    case 10
% --------Light effect-----------
        s.md = 1; s.mL = 1; s.d = 4; s.L = 2;
        s.theta = 30; s.phi = -90; s.psi = 0;
        s.qx = 0; s.qy = 0; s.qz = 65;
        s.rx = 0; s.ry = 0; s.rz = 1;
        s.px = 0; s.py = 0; s.pz = 2;
        s.T = 60; s.dt = 0.001;
        s.g = 9.81;
        s.tr_L = 500; s.tr_S = 10;
% //////////////////////////////////////////////////
end % the end of switch operator

y = s;

end % the end of get_example function
